/************************************************************************************************/
/*                                                                                              */
/*      <cyberHotel: Gestion Hotelera GPL>                                                      */
/*      Copyright (C) <2008> <davide05@gmail.com>                                               */
/*                                                                                              */
/*      This program is free software: you can redistribute it and/or modify                    */
/*      it under the terms of the GNU General Public License as published by                    */
/*      the Free Software Foundation, either version 3 of the License, or                       */
/*      (at your option) any later version.                                                     */
/*                                                                                              */
/*      This program is distributed in the hope that it will be useful,                         */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of                          */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                    */ 
/*      See the GNU General Public License for more details.                                    */
/*                                                                                              */
/*      You should have received a copy of the GNU General Public License                       */
/*      along with this program.  If not, see <http://www.gnu.org/licenses/>.                   */
/*                                                                                              */
/************************************************************************************************/

package gz.cyberbrain.cyberhotel.model.client.to;

public class AgencyTo extends ClientTo {

	private static final long serialVersionUID = -3357003649077288680L;
	private String cif;
	private String name;
	private String contact;
	private String payMode;
	private String accountNumber;
	private String cardNumber;
	
	public AgencyTo(){}
	
	public AgencyTo(Long clientId, Long address, String street, String dwellingPlace, String phone1, String phone2, String fax, String email, String web, Long bank, Long card, String notes, String cif, String name, String contact, String payMode, String accountNumber, String cardNumber) {
		super(clientId, address, street, dwellingPlace, phone1, phone2, fax, email,
				web, bank, card, notes);
		
		this.cif = cif;
		this.name = name;
		this.contact = contact;
		this.payMode = payMode;
		this.accountNumber = accountNumber;
		this.cardNumber = cardNumber;
	}
	
	public String getAccountNumber() {
		return accountNumber;
	}

	public void setAccountNumber(String accountNumber) {
		this.accountNumber = accountNumber;
	}

	public String getCardNumber() {
		return cardNumber;
	}

	public void setCardNumber(String cardNumber) {
		this.cardNumber = cardNumber;
	}

	public String getCif() {
		return cif;
	}

	public void setCif(String cif) {
		this.cif = cif;
	}

	public String getContact() {
		return contact;
	}

	public void setContact(String contact) {
		this.contact = contact;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPayMode() {
		return payMode;
	}

	public void setPayMode(String payMode) {
		this.payMode = payMode;
	}	
	
	public String getReferenceName() {
		return name;
	}
	
}
